import request from '@/utils/request'

// 初始化项目
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_项目名称_查询数据_按时间排序'
    }
  })
}
// 机床查询
export function searchmachine(check, num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_机床名称_查询数据',
      param: '项目流水号_check=' + check + '=int&项目流水号=' + num
    }
  })
}
// 分组查询
export function searchTeam(machineNumber) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_组件名称_查询数据',
      param: '机床流水号=' + machineNumber
    }
  })
}
// 外购件、标准件查询
export function searchPurchasePart(pageCurrent, pageSize, project_check, project, machine_check, machine, group_check, group) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_外购件出库_零件查询',
      param: '项目流水号_check=' + project_check + '&项目流水号=' + project + '&机床流水号_check=' + machine_check + '&机床流水号=' + machine + '&组件流水号_check=' + group_check + '&组件流水号=' + group,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 领料单查询
export function searchList(listNumber) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间装配管理_领料单_领料单查询',
      param: '领料单编号=' + listNumber
    }
  })
}
// 交换件查询
export function searchExchangePart(pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_交换件_交换件查询',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 增加交换件
export function addExchangepart(data1, data2, data3, data4, data5, data6, data7, data8, data9, data10, data11, data12, data13, data14, data15, data16, data17) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_交换件_交换件增加',
      param: '交换单编号=' + data1 + '&交换件采购合同明细流水号=' + data2 + '&被交换件采购合同明细流水号=' + data3 + '&交换件名称=' + data4 + '&被交换件名称=' + data5 + '&交换件项目流水号=' + data6 + '&被交换件项目流水号=' + data7 + '&交换件机床流水号=' + data8 + '&被交换件机床流水号=' + data9 + '&交换件组件流水号=' + data10 + '&被交换件组件流水号=' + data11 + '&货位流水号=' + data12 + '&被交换货位流水号=' + data13 + '&交换数量=' + data14 + '&申请人=' + data15 + '&备注=' + data16 + '&领料单流水号=' + data17
    }
  })
}
// 删除交换单
export function dropExchangeList(PickingListNumberx) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_交换件_交换件删除',
      param: '交换单流水号=' + PickingListNumberx
    }
  })
}
// 交换单修改
export function editExchangeList(data1, data2, data3, data4, data5) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_交换件_交换单修改',
      param: '交换单流水号=' + data1 + '&交换单编号=' + data2 + '&交换数量=' + data3 + '&领料单流水号=' + data4 + '&备注=' + data5
    }
  })
}
// 领料单查询
export function searchList1(listNumber_check, listNumber) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间装配管理_领料单_领料单查询',
      param: '领料单编号_check=' + 0 + '&领料单编号=' + listNumber
    }
  })
}
